gov.ornl.mercury3.commands

## Class ResultsetBean

- java.lang.Object
- - gov.ornl.mercury3.commands.ResultsetBean

- All Implemented Interfaces:
    Serializable

      public class ResultsetBean
      extends Object
      implements Serializable

  ornldaac3
  Author:
    zzr @Modified by: Ranjeet Devarakonda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultsetBean()`
    `ResultsetBean(String sessionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getdatetime()`
    `String` | `getIndexName()`
    `String` | `getInstanceName()`
    `int` | `getRecordCount()`
    `String` | `getSearchStatus()`
    `String` | `getsessionId()`
    `String` | `getsource()`
    `int` | `getTransID()`
    `void` | `setdatetime(String datetime)`
    `void` | `setIndexName(String indexName)`
    `void` | `setInstanceName(String instanceName)`
    `void` | `setRecordCount(int recordCount)`
    `void` | `setSearchStatus(String searchStatus)`
    `void` | `setsessionId(String sessionId)`
    `void` | `setsource(String source)`
    `void` | `setTransID(int transactionID)`
    `void` | `String(QueryBean queryBean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultsetBean

          public ResultsetBean()

    - #### ResultsetBean

          public ResultsetBean(String sessionId)

  - ### Method Detail

    - #### getdatetime

          public String getdatetime()

      Parameters:
        `String` - datetime

    - #### setdatetime

          public void setdatetime(String datetime)

    - #### getsessionId

          public String getsessionId()

    - #### setsessionId

          public void setsessionId(String sessionId)

      Parameters:
        `String` - sessionID

    - #### getTransID

          public int getTransID()

      Returns:
        int user transactionID

    - #### setTransID

          public void setTransID(int transactionID)

      Parameters:
        `int` - transactionID

    - #### getInstanceName

          public String getInstanceName()

      Returns:
        String instanceName.

    - #### setInstanceName

          public void setInstanceName(String instanceName)

      Parameters:
        `String` - instanceName

    - #### getIndexName

          public String getIndexName()

      Returns:
        String indexName.

    - #### setIndexName

          public void setIndexName(String indexName)

      Parameters:
        `String` - indexName

    - #### getRecordCount

          public int getRecordCount()

      Returns:
        String recordCount

    - #### setRecordCount

          public void setRecordCount(int recordCount)

      Parameters:
        `String` - recordCount

    - #### getSearchStatus

          public String getSearchStatus()

      Returns:
        String searchStatus

    - #### setSearchStatus

          public void setSearchStatus(String searchStatus)

      Parameters:
        `String` - searchStatus

    - #### String

          public void String(QueryBean queryBean)

    - #### getsource

          public String getsource()

    - #### setsource

          public void setsource(String source)

Copyright © 2016. All rights reserved.